Bug 150655 - [patch] mail/mutt-devel: update to 1.5.21
Summary: [patch] mail/mutt-devel: update to 1.5.21
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-17 18:40 UTC by Eygene Ryabinkin
Modified: 2010-09-24 22:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eygene Ryabinkin 2010-09-17 18:40:01 UTC
Mutt 1.5.21 is out [1]

Fix: 

I had updated FreeBSD port to 1.5.21; it builds fine with the standard
OPTIONS and with my daily set of them:
{{{
WITH_MUTT_SLANG=yes
WITH_MUTT_MAILDIR_HEADER_CACHE=yes
WITH_MUTT_CYRUS_SASL2=yes
WITHOUT_MUTT_FLOCK=yes
WITH_MUTT_SMTP=yes
WITH_COMPRESSED=yes
NOPORTDOCS=yes
}}}

Daily operations showed no regressions up to date; Tinderbox builds are
fine for 7.x, 8.x and 9.x.

The patch itself:
  http://codelabs.ru/fbsd/ports/mutt/to-1.5.21.diff

Have fun!
How-To-Repeat: 
[1] http://marc.info/?l=mutt-users&m=128457240913278&w=2
Comment 1 Edwin Groothuis freebsd_committer 2010-09-17 18:40:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-09-17 18:40:11 UTC
Maintainer of mail/mutt-devel,

Please note that PR ports/150655 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150655

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-09-17 18:40:13 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Udo.Schweigert 2010-09-18 16:22:02 UTC
This PR can be closed as I just submitted a maintainer-update for the port
which does not break certain functionalities (ports/150703).

On Fri, Sep 17, 2010 at 17:40:11 +0000, Edwin Groothuis wrote:
> Maintainer of mail/mutt-devel,
> 
> Please note that PR ports/150655 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150655
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 5 dfilter service freebsd_committer 2010-09-24 22:29:07 UTC
obrien      2010-09-24 21:29:00 UTC

  FreeBSD ports repository

  Modified files:
    mail/mutt-devel      Makefile distinfo 
    mail/mutt-devel/files extra-patch-doc-xml extra-patch-sidebar 
                          extra-patch-sidebar-nntp patch-02 
                          patch-buffy.c patch-doc-manual.xml.head 
                          patch-mktemp patch-mutt-ssl.c 
  Log:
  Maintainer update to version 1.5.21.
  (also fixes handling of PGP messages containing CR/LF lines)
  
  PR:             150703, 150457, 150655
  Submitted by:   Udo.Schweigert@siemens.com (maintainer)
  
  Revision  Changes    Path
  1.313     +6 -11     ports/mail/mutt-devel/Makefile
  1.115     +15 -24    ports/mail/mutt-devel/distinfo
  1.4       +7 -7      ports/mail/mutt-devel/files/extra-patch-doc-xml
  1.6       +470 -718  ports/mail/mutt-devel/files/extra-patch-sidebar
  1.4       +377 -523  ports/mail/mutt-devel/files/extra-patch-sidebar-nntp
  1.26      +9 -9      ports/mail/mutt-devel/files/patch-02
  1.2       +0 -10     ports/mail/mutt-devel/files/patch-buffy.c
  1.5       +0 -9      ports/mail/mutt-devel/files/patch-doc-manual.xml.head
  1.6       +20 -12    ports/mail/mutt-devel/files/patch-mktemp
  1.2       +0 -11     ports/mail/mutt-devel/files/patch-mutt-ssl.c
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 David E. O'Brien freebsd_committer 2010-09-24 22:29:37 UTC
State Changed
From-To: feedback->closed

Fixed by PR ports/150703.